APIs / Google Images / Images

Google Images: Images

Images from Google Images as JSON. 1 credit per successful call.

GET /v1/google-images/images

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
qstringRequiredAny
hlstringOptionalUp to 2 characters
glstringOptionalUp to 2 characters
imgszstringOptionallarge, medium, icon
imgtypestringOptionalphoto, clipart, lineart, gif, face
imgcolorstringOptionalcolor, gray, trans, red, orange, yellow, green, teal, blue, purple, pink, white, black, brown
imgarstringOptionaltall, square, wide
tbsstringOptionalUp to 500 characters
safestringOptionalactive, off
pageintegerOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/google-images/images?q=coffee" \
  -H "X-API-Key: $API_KEY"